curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/order/appeasement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"orderNumber": "123",
"userID": "12",
"source": "SFSC",
"appeasementType": "refund",
"customer": {
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john@fabric.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94",
"accountId": "62272e917b12209e68751d94",
"employeeId": "62272e917b12209e68751d94",
"company": "fabric"
},
"appeasements": [
{
"value": 12.5,
"appeasementCounter": 1,
"reasonCode": "Late Delivery",
"subReasonCode": "subReasonCode",
"notes": "Any additional info",
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
],
"items": [
{
"lineItemId": "d538b1f1-0e45-43c6-bfc6-9666fc1188ca",
"appeasements": [
{
"value": 12.5,
"appeasementCounter": 1,
"reasonCode": "Late Delivery",
"subReasonCode": "subReasonCode",
"notes": "Any additional info",
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
]
}
]
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/appeasement"
payload = {
"orderNumber": "123",
"userID": "12",
"source": "SFSC",
"appeasementType": "refund",
"customer": {
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john@fabric.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94",
"accountId": "62272e917b12209e68751d94",
"employeeId": "62272e917b12209e68751d94",
"company": "fabric"
},
"appeasements": [
{
"value": 12.5,
"appeasementCounter": 1,
"reasonCode": "Late Delivery",
"subReasonCode": "subReasonCode",
"notes": "Any additional info",
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
],
"items": [
{
"lineItemId": "d538b1f1-0e45-43c6-bfc6-9666fc1188ca",
"appeasements": [
{
"value": 12.5,
"appeasementCounter": 1,
"reasonCode": "Late Delivery",
"subReasonCode": "subReasonCode",
"notes": "Any additional info",
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
]
}
]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
orderNumber: '123',
userID: '12',
source: 'SFSC',
appeasementType: 'refund',
customer: {
name: {first: 'John', middle: 'Middle', last: 'Doe'},
email: 'john@fabric.inc',
phone: {number: '55555555555', type: 'MOBILE'},
userId: '62272e917b12209e68751d94',
accountId: '62272e917b12209e68751d94',
employeeId: '62272e917b12209e68751d94',
company: 'fabric'
},
appeasements: [
{
value: 12.5,
appeasementCounter: 1,
reasonCode: 'Late Delivery',
subReasonCode: 'subReasonCode',
notes: 'Any additional info',
payments: [{paymentCounter: 1, refundAmount: 40}]
}
],
items: [
{
lineItemId: 'd538b1f1-0e45-43c6-bfc6-9666fc1188ca',
appeasements: [
{
value: 12.5,
appeasementCounter: 1,
reasonCode: 'Late Delivery',
subReasonCode: 'subReasonCode',
notes: 'Any additional info',
payments: [{paymentCounter: 1, refundAmount: 40}]
}
]
}
]
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/appeasement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseCode": "SUCCESS",
"responseMessage": "API Operation successfully completed",
"responseData": {
"orderNumber": "12",
"totalAmountRefunded": 25.5,
"channel": "12",
"tenant": "5f689caa4216e7000750d1ef"
}
}{
"message": "Bad Request"
}{
"message": "Not Found"
}{
"message": "Internal Server Error"
}Create appeasement
Creates an appeasement for customer order.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
Appeasement request details
It is required and used as a primary identifier to apply appeasement on an order.
"123"
It is used as identifier of the user who initiates the appeasement request
"12"
Identifies the system by which the request was initiated
"SFSC"
Appeasement at order level
"refund"
Order customer model
Show child attributes
Show child attributes
It represents the order-level appeasements. It is necessary to add at least one of the order-level or item-level appeasements.
Show child attributes
Show child attributes
It represents the wrapper of item-level appeasements. It is necessary to add at least one of the order-level or item-level appeasements
Show child attributes
Show child attributes
Response
Appeasement Completed
ServiceResponse Model
ResponseCodes Model
SUCCESS, ERROR, NOT_FOUND, INVALID_REQUEST, AMOUNT_EXCEEDS, PAYMENT_NOT_FOUND, PARTIAL_SUCCESS "SUCCESS"
"API Operation successfully completed"
OrderCreateAppeasementResponse Model
Show child attributes
Show child attributes
Was this page helpful?
